@charset "utf-8";
/*全体共通
-----------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------*/
/*全体設定
----------------------------------------------------------------------------------------------------*/
body{
    color:black;/*文字色*/
    font-size: 16px;/*文字サイズ*/
    line-height: 2;/*行間*/
    text-align: center;
    font-family: "ＭＳ Ｐゴシック";
    background-color:#CA6CFD ;
}

img{
    margin: auto;
}
/*h1*/
h1{
clear: both;    
color: #000;
margin-bottom: 15px;
font-size: 25px;
font-family: "Vonk Regular";
text-align: center;
}

 /*h2*/
 h2{
    clear: both;
  margin-bottom: 27px;	/*見出しの下(外側)に空けるスペース*/
  color: black;			/*文字色*/
  background: rgb(2, 165, 219); /*背景色と背景画像（古いブラウザ用）*/
  border-radius: 30px;	/*角丸のサイズ*/
  font-size: 23px; /*文字サイズ*/
  padding: 10px 50px;	/*上下、左右への見出し内の余白*/
}
/*h3*/
 h3{
    clear: both;
  margin-bottom: 20px;	/*見出しの下(外側)に空けるスペース*/
  color:darkgoldenrod;			/*文字色*/
  text-align: center;
  border-radius: 30px;	/*角丸のサイズ*/
  padding: 5px 20px;		/*上下、左右への見出し内の余白*/
  border: 1px solid #ccc;	/*枠線の幅、線種、色*/ 
}

/*h4*/
 h4{
clear: both;
margin-bottom: 20px;	/*見出しの下(外側)に空けるスペース*/
color:#000000;			/*文字色*/
text-align: center;
border-radius: 30px;	/*角丸のサイズ*/
padding: 5px 20px;		/*上下、左右への見出し内の余白*/
border: 1px solid #ccc;	/*枠線の幅、線種、色*/ 
}

.menu a{
text-align: auto;    
padding: 0px 15px;
color: #000;
font-size: 30px;
text-decoration: none;    
}
.menu a:hover{
color: #FFF;
font-size: 30px;
}

footer{
text-align: center;
font-size: 17px;
color: #FFF;
background-color: #000000;
}
footer a{
color: blue;    
}

/*「更新情報・お知らせ」ブロック
---------------------------------------------------------------------------*/
/*見出しを含まないお知らせブロック*/
#new{
    font-size: 20px;
}
#new dl {
	padding: 0 30px;
}
/*日付設定*/
#new dt {
	float: left;
	width: 9em;		/*幅*/
	letter-spacing: 0.1em;
}
/*記事設定*/
#new dd {
	padding-left: 9em;
    border-bottom: 1px solid #ccc;	/*下線の幅、線種、色*/
}
/*Newアイコン*/
.newicon {
	background: #F00;	/*背景色*/
	color: #FFF;		/*文字色*/
	font-size: 70%;		/*文字サイズ*/
	line-height: 1.5;
	padding: 2px 5px;
	border-radius: 2px;
	margin: 0px 5px;
	vertical-align: text-top;
}
#snssection{
    font-family: "MSPゴシック";
    font-size: 25px;
}
/*PC用設定
--------------------------------------------------------------------------------------------------*/
@media screen and (min-width: 651px) {
    .sm-nav{
        display: none;/*PC非表示*/
    }
    
    h1{
        font-weight: 600;
        font-size: 30px;
        font-family: "ＭＳ Ｐゴシック";
    }
    #nav{
        font-family: "ＭＳ Ｐゴシック";
        font-size: 26px;
    }
    #nav a{
        text-decoration: none;
        color: #ffa500;
    }
    hr{
        font-size: 20px;
    }
    /*SNSicon*/
    .snsicon{
        width: 80px;
        height: auto;
    }
    /*profile*/
  #profi{
    background-color: #000;
    color: #000;
  }
  #profi:hover{
    background-color: #000;
    color: #fff;
  }
  /*========= please hover ===============*/
  .phoverarrow{
    animation: move-y 0.5s infinite alternate ease-in-out;
    display: inline-block;
  }
  @keyframes move-y{
    from{
        transform: translateY(0);
    }
    to{
        transform: translateY(10px);
    }
  }
  .pleasehover{
    font-family: "MSPゴシック";
    font-size: 20px;
  }
  #phover{
    font-size: 26px;
  }
}
/*スマホ用設定
------------------------------------------------------------------------------------------------------*/
@media screen and (max-width: 650px) {
    /*スマホ非表示*/
    .pc-nav{
        display: none;
    }
    /*「更新情報・お知らせ」ブロック
---------------------------------------------------------------------------*/
/*見出しを含まないお知らせブロック*/
#new dl {
	padding: 0 30px;
  font-size: 13px;
}
/*日付設定*/
#new dt {
	float: left;
	width: 20em;		/*幅*/
	letter-spacing: 0.1em;
  font-size: 13px;
}
/*記事設定*/
#new dd {
	padding-left: 7em;
    border-bottom: 1px solid #ccc;	/*下線の幅、線種、色*/
    font-size: 13px;
}

.menu{
    text-align: auto;    
    padding: 0px 15px;
    color: #000;
    font-size: 20px;    
    }
    .menu :hover{
    color: #FFF;
    font-size: 20px;
    }
    /*=============たためるやつ=============*/
    details {
        border: 1px solid rgb(0, 0, 0);
        border-radius: 4px;
        padding: .5em .5em 0;
    }
    
    summary {
        font-weight: bold;
        margin: -.5em -.5em 0;
        padding: .5em;
    }
    
    details[open] {
        padding: .5em;
    }
    
    details[open] summary {
        border-bottom: 1px solid rgb(0, 0, 0);
        margin-bottom: .5em;
    }

    /*snsicon*/
    .snsicon{
        width: 60px;
        height: auto;
    }

}
/*マウスストーカー
---------------------------------------------------------------------------*/

#mouse-stalker {
    pointer-events: none;
    position: fixed;
    top: -10px;
    left: -10px;
    width: 20px;
    height: 20px;
    background: #fff;
    border-radius: 50%;
    transform: translate(0, 0);
    transition: transform 0.2s;
    transition-timing-function: ease-out;
    z-index: 999;
    mix-blend-mode: difference;
  }
  #mouse-stalker.is_active {
    top: -40px;
    left: -40px;
    width: 80px;
    height: 80px;
    transition: 0.2s;
  }
  
  .content {
    height: calc(100vh - 90px);
  }
  /*end*/
  /*SNSicon*/
/*========= ローディング画面のためのCSS ===============*/
#splash {
	position: fixed;
	width: 100%;
	height: 100%;
	background: #CA6CFD;
	z-index: 9999999;
	text-align:center;
	color:#000;
    font-family: "MSPゴシック";
    font-size: 30px
}

#splash-logo {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}


/*========= 画面遷移のためのCSS ===============*/

/*画面遷移アニメーション*/
.splashbg{
    display: none;
}

/*bodyにappearクラスがついたら出現*/
body.appear .splashbg{
	display:block;
	animation-name:PageAnime;
	animation-duration:1.2s;
	animation-timing-function:ease-in-out;
	animation-fill-mode:forwards;
    content: "";
    position:fixed;
	z-index: 999;
    width: 50%;
    height: 100vh;
    top: 0;
	left: 0;
    transform: translateX(-300%) skewX(-45deg);
    background-color: #333;/*伸びる背景色の設定*/
}

@keyframes PageAnime{
	0% {
		transform-origin:left;
		transform:translateX(-300%) skewX(-45deg);
	}
	100% {
		transform-origin:left;
		transform:translateX(500%) skewX(-45deg);
	}
}

/*画面遷移の後現れるコンテンツ設定*/
#container{
	opacity: 0;/*はじめは透過0に*/
}

/*bodyにappearクラスがついたら出現*/
body.appear #container{
	animation-name:PageAnimeAppear;
	animation-duration:1s;
	animation-delay: 0.6s;
	animation-fill-mode:forwards;
	opacity: 0;
}

@keyframes PageAnimeAppear{
	0% {
	opacity: 0;
	}
	100% {
	opacity: 1;
}
}